#ifndef _omyrendersettings_H_
#define _omyrendersettings_H_

enum
{
	omyrendersettings	= 1300,
	SUN				= 1301,
	TURBIDITY		= 1303,
	RENDERER_SETTINGS	= 1318,
	GLOBALSCALE		= 1340,

	RENDER_MAXDEPTH	= 1330,
	RENDER_MAXNCR	= 1331,
	RENDER_HALT		= 1332,
	RENDER_SAVEIGI	= 1333,

	RENDER_MODE		= 1334,
	PATHTRACER		= 1335,
	PT_BIDIR		= 1336,
	METROPOLIS		= 1337,
	MLT_BIDIR		= 1338,

	RENDER_LARGEMUTPROB		= 1350,
	RENDER_MAXCHANGE		= 1351,
	RENDER_LOGGING			= 1352,
	RENDER_DISPLAYPERIOD	= 1353,
	RENDER_IMAGESAVEPERIOD	= 1354,
	RENDER_SAVEUEXR			= 1355,
	RENDER_SAVETEXR			= 1356,
	RENDER_NUMTHREADS		= 1357,
	RENDER_CACHETREES		= 1358,
	RENDER_POLARISATION		= 1359,
	RENDER_HYBRID			= 1361,
	RENDER_BIH_TRI			= 1362,
	
	LT_SUN					= 1364,
	LT_BACKGROUND_MAT		= 1365,

	ID_BACKGROUND_MAT		= 1366,
	ID_SUN					= 1367,
	
	LIGHTNING_TYPE			= 1368,

	LT_NONE					= 1379,

	EXTRA_ATMOSPHERIC		= 1381,

	RENDER_HALT_SPP			= 1382,
	RENDER_AUTO_CHOOSE_THREADS	= 1383,

	BACKGROUND_MAT_LINK		= 1384,

	ID_ENVIRONMENT_SETTINGS	= 1385,

	RS_SCENESCALE			= 1386,
	RS_SCENESCALE_KM		= 1387,
	RS_SCENESCALE_M			= 1388,
	RS_SCENESCALE_CM		= 1389,
	RS_SCENESCALE_MM		= 1390,
	RS_SCENESCALE_USER		= 1391,

	RS_SPLIT_SUNSKY_LAYERS	= 1392,
	
	RS_EXPORT_PATH				= 1393,
	RS_EXPORT_TO_SCENE_DIR		= 1394,
	
	ID_EXPORT_SETTINGS			= 1395,
	ID_RENDERER_SETTINGS		= 1396,
	
	RS_CLAY_RENDER				= 1397,
	RS_ALPHA_RENDER				= 1398,
	RS_LOW_PRIORITY				= 1399,
	RS_CONSOLE_MODE				= 1400,
	
	ID_NETWORK_SETTINGS			= 1401,
	
	RS_START_MASTER				= 1402,
	RS_NET_PORT					= 1403,
	
	ID_ADVANCED_SETTINGS		= 1404,
	ID_HALT_SETTINGS			= 1405,
	ID_OUTPUT_SETTINGS			= 1406,
	
	CINDIGO_HEADER_RS			= 1407,

	RS_CUSTOM_IGS_DIR			= 1408,
	
	RS_LIGHT_LAYERS			= 1409,
	RS_LIGHT_LAYER_1		= 1410,
	RS_LIGHT_LAYER_2		= 1411,
	RS_LIGHT_LAYER_3		= 1412,
	RS_LIGHT_LAYER_4		= 1413,
	RS_LIGHT_LAYER_5		= 1414,
	RS_LIGHT_LAYER_6		= 1415,
	RS_LIGHT_LAYER_7		= 1416,
	RS_LIGHT_LAYER_8		= 1417,
	RS_LIGHT_LAYER_9		= 1418,
	RS_LIGHT_LAYER_10		= 1419,

	RS_EXPORT_ANIMATION		= 1420,

	RS_CUSTOM_IMAGE_PATH		= 1421,
	RS_IMAGE_SAVE_PATH			= 1422,
	RS_SAVE_IMAGE_TO_IGS_DIR	= 1423,
};

#endif



